<%= form_with(model: [company, project]) do |form| %>
  <% if project.errors.any? %>
    <div id="error_explanation">
      <h2><%= t('errors.template.header.other', model: t('activerecord.models.project'), count: project.errors.count) %></h2>

      <ul>
        <% project.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label 'company.name' %>
    <%= company.name %>
  </div>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name %>
  </div>

  <div class="field">
    <%= form.label 'project.employee_projects.name' %>
  </div>
  <table>
    <thead>
      <tr>
        <th><%= t('activerecord.attributes.employee_project.is_checked') %></th>
        <th><%= t('activerecord.attributes.employee.name') %></th>
        <th><%= t('activerecord.attributes.employee_project.join_date') %></th>
        <th><%= t('activerecord.attributes.employee_project.leave_date') %></th>
      </tr>
    </thead>
    <tbody>
      <%= form.fields_for :employee_projects, @project.employee_projects do |employee_project| %>
        <tr>
          <td><%= employee_project.check_box :_destroy, { checked: employee_project.object.persisted? || employee_project.object.is_checked }, 0, 1 %></td>
          <td><%= employee_project.object.employee.name %></td>
          <td><%= employee_project.date_field :join_date %></td>
          <td><%= employee_project.date_field :leave_date %></td>
          <%= employee_project.hidden_field :employee_id %>
          <%= employee_project.hidden_field :project_id %>
        </tr>
      <% end %>
    </tbody>
  </table>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
